import {useContext} from 'react';
import {ComponentContext} from '@/contexts/Component';
import {PreambleContext} from '@/contexts/Preamble';

export const Preamble = () => {
	const Component = useContext(PreambleContext);
	return (
		<>
			<Component />
		</>
	);
}

export const Props = () => {
	const Component = useContext(ComponentContext);
	return (
		<>
			Props
		</>
	);
}

export const Playground = () => {
	const Component = useContext(ComponentContext);
	return (
		<>
			Playground
		</>
	);
}
