import {Config} from 'tailwindcss';

const config: Config = {
	content: [
		'../../categories/web/*/react/src/**/*.tsx',
	],
	theme: {
		colors: {
			'sidebar': 'rgb(var(--color-sidebar)',
			'topbar': 'rgb(var(--color-topbar)',

			'shade': 'rgb(var(--color-shade))',
			'negative': 'rgb(var(--color-negative))',
			'positive': 'rgb(var(--color-positive))',
			'primary': 'rgb(var(--color-primary))',
			'secondary': 'rgb(var(--color-secondary))',
			'tertiary': 'rgb(var(--color-tertiary))',
			'code-number': 'rgb(var(--color-code-number))',
			'code-keyword': 'rgb(var(--color-code-keyword))',
			'code-type': 'rgb(var(--color-code-type))',
			'code-instance-attribute': 'rgb(var(--color-code-instance-attribute))',
			'code-function': 'rgb(var(--color-code-function))',
			'code-parameter': 'rgb(var(--color-code-parameter))',
			'code-property': 'rgb(var(--color-code-property))',
			'code-string': 'rgb(var(--color-code-string))',
			'code-variable': 'rgb(var(--color-code-variable))',
			'code-regexp': 'rgb(var(--color-code-regexp))',
			'code-url': 'rgb(var(--color-code-url))',
			'code-global': 'rgb(var(--color-code-global))',
			'current': 'currentcolor',
			'inherit': 'inherit',
			'transparent': 'transparent',
		},
	},
	plugins: [],
};

export default config;
