import type { StorybookConfig } from "@storybook/react-vite";

const config: StorybookConfig = {
	stories: ["../../../categories/web/*/react/src/**/*.stories.tsx"],
	addons: [
		"@storybook/addon-links",
		"@storybook/addon-essentials",
		"@storybook/addon-onboarding",
		"@storybook/addon-interactions",
		{
			name: "@storybook/addon-styling",
			options: {},
		},
		{
			name: "@storybook/addon-styling",
			options: {},
		},
	],
	core: {
		builder: "@storybook/builder-vite",
	},
	framework: {
		name: "@storybook/react-vite",
		options: {},
	},
};

export default config;
